# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2010 Tiny SPRL (<http://tiny.be>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from openerp import models, fields, tools, api

class res_partner1(models.Model):
    _name = 'res.partner'
    _inherit = 'res.partner'
    _description = 'Add extra data media to Partner for Family'

    tipo_family = fields.Char('Lazo familiar')
    ref_family_ids = fields.Many2many('res.partner', 'res_partner_family', 'parent_id', 'partner_id', string='Referencia Familiar',domain=[('active','=',True),('is_family_reference','=',True)])
    is_family_reference = fields.Boolean('Es una referencia familiar', help="Marca el contacto si es una referencia familiar")
